Debian Bug report logs - #602139
live-build: invalid dependencies in debian-live-devel

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Bas Wijnen <wijnen@debian.org>

Date: Mon, 1 Nov 2010 23:12:02 UTC

Severity: normal

Found in version live-build/2.0.5-1

Fixed in versions live-build/3.0~a6-1, live-build/2.0.6-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#602139; Package live-build. (Mon, 01 Nov 2010 23:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <wijnen@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 01 Nov 2010 23:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: submit@bugs.debian.org
Subject: live-build: invalid dependencies in debian-live-devel
Date: Tue, 02 Nov 2010 00:08:53 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 2.0.5-1

Building a system with the debian-live-devel list selected will always
fail for three reasons:

- grub-pc and grub-legacy are both selected, but they conflict.
- kvm-source is not available.
- kqemu-source is not available.

This is easily fixed by removing grub-pc or grub legacy, and both
-source packages from /usr/share/live/build/lists/debian-live-devel.

Thanks,
Bas

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#602139; Package live-build. (Mon, 01 Nov 2010 23:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 01 Nov 2010 23:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 602139@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Bas Wijnen <wijnen@debian.org>
Cc: 602139@bugs.debian.org
Subject: Re: Bug#602139: live-build: invalid dependencies in debian-live-devel
Date: Tue, 02 Nov 2010 00:29:33 +0100
tag 602139 pending
thanks

On 11/02/2010 12:08 AM, Bas Wijnen wrote:
> Building a system with the debian-live-devel list selected will always
> fail for three reasons:

the list is pretty outdated anyway, i've updated it.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 01 Nov 2010 23:33:06 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 13 Nov 2010 15:21:03 GMT) Full text and rfc822 format available.

Notification sent to Bas Wijnen <wijnen@debian.org>:
Bug acknowledged by developer. (Sat, 13 Nov 2010 15:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 602139-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 602139-close@bugs.debian.org
Subject: Bug#602139: fixed in live-build 3.0~a6-1
Date: Sat, 13 Nov 2010 15:17:32 +0000
Source: live-build
Source-Version: 3.0~a6-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a6-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a6-1_all.deb
live-build_3.0~a6-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a6-1.debian.tar.gz
live-build_3.0~a6-1.dsc
  to main/l/live-build/live-build_3.0~a6-1.dsc
live-build_3.0~a6-1_all.deb
  to main/l/live-build/live-build_3.0~a6-1_all.deb
live-build_3.0~a6.orig.tar.gz
  to main/l/live-build/live-build_3.0~a6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602139@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 13 Nov 2010 16:01:57 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a6-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 602139
Changes: 
 live-build (3.0~a6-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Removing cron examples, autobuild is handled by live-autobuild now.
 .
   [ Richard Nelson ]
   * Make iso-hybrid default on l-b-cgi.
   * Make squeeze default on l-b-cgi.
 .
   [ Daniel Baumann ]
   * Using old lenny syslinux bootsplash for squeeze, moving new splash
     to wheezy.
   * Updating path in copyright file.
   * Removing remaining last leftovers from lh in lb and live-build
     manpages.
   * Removing debian-maintainers.org and debian-projects.org repository
     entries, will re-add them after squeeze.
   * Updating special handling for backports.
   * Adding fsarchiver to rescue list.
   * Removing arm case for kernel defaults, squeeze has armel instead.
   * Removing hppa case for kernel defaults, squeeze and newer has no
     hppa anymore.
   * Removing deep link to bug page in the manual, since we don't have
     stable references yet.
   * Shuffeling dpkg tmpfs hack arround in preparation for generic tmpfs
     support.
 .
   [ Ben Armstrong ]
   * Adding reference material to debian-live-devel list: live-boot,
     live-config and live-manual.
 .
   [ Daniel Baumann ]
   * Adding vpnc in rescue list.
   * Updating debian-live-devel packages list (Closes: #602139).
   * Correcting typo in defaults handling of apt http proxy.
   * First step in cleaning up syslinux handling by using syslinux-theme
     packages rather than embedded templates.
   * Workarounding symlink on usb-hdd when including debian-installer and
     using vfat filesystems.
 .
   [ Ben Armstrong ]
   * Fixing typo in symlink on fat workaround.
 .
   [ Daniel Baumann ]
   * Enabling removal of ssh host keys, they are regenerated by live-
     config.
   * Making d-i indices copying depending on binary image type.
Checksums-Sha1: 
 08899fed94eae7bff3bdd7137c8fcc76ecf89f4e 1275 live-build_3.0~a6-1.dsc
 8d37300701ed5f04b5a25c17ff6fa435532416a4 1969420 live-build_3.0~a6.orig.tar.gz
 f91f55c06d7234e45556bb092ecff33cfe970548 37406 live-build_3.0~a6-1.debian.tar.gz
 7fc7af2d799cbc3d0e1ef0c0790cc8396602135c 1123422 live-build_3.0~a6-1_all.deb
 51a56ee6958725064a02f3a1c60b0690a1ffcbb4 53686 live-build-cgi_3.0~a6-1_all.deb
Checksums-Sha256: 
 4528f1254efdd2af0c6deedf95d9fa75c43adb65f7cea34089a67a8cd517fd4c 1275 live-build_3.0~a6-1.dsc
 69dfcfbf515c53f892d0a433285b49aa32bf4d8dac8ed6a21abda863ba57f7c7 1969420 live-build_3.0~a6.orig.tar.gz
 a157b0eb113097f796b84b378c509a3a51c651a947fa645b0983a63079e0f9a1 37406 live-build_3.0~a6-1.debian.tar.gz
 e98ebdfeac09b5459107cc1a9a75300ecb9bb2a2241dd139632ee844bb04e3bf 1123422 live-build_3.0~a6-1_all.deb
 690877f32c65fc26fb7304b3d128270281083e8b53cc2bf40a8cecc1c001289a 53686 live-build-cgi_3.0~a6-1_all.deb
Files: 
 719e95896ada063639da149c0a9a249e 1275 misc optional live-build_3.0~a6-1.dsc
 5e8d17f42993c8bcd46371a94ee3a759 1969420 misc optional live-build_3.0~a6.orig.tar.gz
 8c0d1ccb6baa040fc82df045ff0db811 37406 misc optional live-build_3.0~a6-1.debian.tar.gz
 4848553cc28ee744d70f47571b5d5e42 1123422 misc optional live-build_3.0~a6-1_all.deb
 557db81d9f20293dd4b206e2a5a8e572 53686 misc optional live-build-cgi_3.0~a6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzeqcwACgkQ+C5cwEsrK54juACfYbkZJbtRzawvDuqaZ3n6Cw66
CKYAoKqCU2JU8gTFUjfD2fQRJt1ayAIN
=HKHI
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 13 Nov 2010 15:33:17 GMT) Full text and rfc822 format available.

Notification sent to Bas Wijnen <wijnen@debian.org>:
Bug acknowledged by developer. (Sat, 13 Nov 2010 15:33:17 GMT) Full text and rfc822 format available.

Message #22 received at 602139-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 602139-close@bugs.debian.org
Subject: Bug#602139: fixed in live-build 2.0.6-1
Date: Sat, 13 Nov 2010 15:32:34 +0000
Source: live-build
Source-Version: 2.0.6-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_2.0.6-1_all.deb
  to main/l/live-build/live-build-cgi_2.0.6-1_all.deb
live-build_2.0.6-1.diff.gz
  to main/l/live-build/live-build_2.0.6-1.diff.gz
live-build_2.0.6-1.dsc
  to main/l/live-build/live-build_2.0.6-1.dsc
live-build_2.0.6-1_all.deb
  to main/l/live-build/live-build_2.0.6-1_all.deb
live-build_2.0.6.orig.tar.gz
  to main/l/live-build/live-build_2.0.6.orig.tar.gz
live-helper_2.0.6-1_all.deb
  to main/l/live-build/live-helper_2.0.6-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602139@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 13 Nov 2010 16:10:43 +0100
Source: live-build
Binary: live-build live-build-cgi live-helper
Architecture: source all
Version: 2.0.6-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-helper - Debian Live - System Build Scripts (transitional package)
Closes: 602139
Changes: 
 live-build (2.0.6-1) unstable; urgency=medium
 .
   [ Ben Armstrong ]
   * Adding reference material to debian-live-devel list: live-boot,
     live-config and live-manual.
 .
   [ Daniel Baumann ]
   * Adding vpnc in rescue list.
   * Updating debian-live-devel packages list (Closes: #602139).
   * Correcting typo in defaults handling of apt http proxy.
   * Workarounding symlink on usb-hdd when including debian-installer and
     using vfat filesystems.
 .
   [ Ben Armstrong ]
   * Fixing typo in symlink on fat workaround.
 .
   [ Daniel Baumann ]
   * Making d-i indices copying depending on binary image type.
Checksums-Sha1: 
 b0fe52b205feb179ed9d6e37cc67003fe65dc6a9 1261 live-build_2.0.6-1.dsc
 ffb92e4b751e43acd207042ddde016ed9ed1c6d8 2134943 live-build_2.0.6.orig.tar.gz
 45864240c302081106c233dfe90a4cb6ccb927c2 43666 live-build_2.0.6-1.diff.gz
 fbf09dce77d619af82a871c1b9effef53e44311d 1190030 live-build_2.0.6-1_all.deb
 1759bf4937d7c9ae5d7025e358dde00cd0081f1b 60742 live-build-cgi_2.0.6-1_all.deb
 7e2d014cf81627c45e0e05048ecbbf8b5fd65922 56062 live-helper_2.0.6-1_all.deb
Checksums-Sha256: 
 5c1c38ab27afe75e9942e2e91cbf0c32e43cadaf4f735b7babdb5d749cd5741e 1261 live-build_2.0.6-1.dsc
 15cbc655d4e7a0db47d513c0bbe550600b33f718c2598132d3e512c1e8f2ebfc 2134943 live-build_2.0.6.orig.tar.gz
 17bb7b116a640bfda8f7cdcd0a1ec47739061b2034994784e7e33e220b44bfa7 43666 live-build_2.0.6-1.diff.gz
 f3052322a3498697effb07dbdf583f772a4992a371dc20cf4f63b3db16dff422 1190030 live-build_2.0.6-1_all.deb
 76969d6db6d5c53d4eb22102134ca91f1f81bd192dd0984c1b77950c7fc63439 60742 live-build-cgi_2.0.6-1_all.deb
 d9cebeee17b2b94380493d7161305267ae608ce0b828be930ec00c2aca8cbffb 56062 live-helper_2.0.6-1_all.deb
Files: 
 ae8c87a19c8c0c0e527b194416203299 1261 misc optional live-build_2.0.6-1.dsc
 5200abff4cde68899ca4d0d300849eb2 2134943 misc optional live-build_2.0.6.orig.tar.gz
 8fbbd813551128e54708e59fbacf7f66 43666 misc optional live-build_2.0.6-1.diff.gz
 31785964e0455c6fd8a42c5e172c4215 1190030 misc optional live-build_2.0.6-1_all.deb
 1f64efbd48d80581bafc984c6f39f9fb 60742 misc optional live-build-cgi_2.0.6-1_all.deb
 aad36028864c7808a46b31e2a5ebb238 56062 misc optional live-helper_2.0.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzeqzQACgkQ+C5cwEsrK56SSwCfTAqNrWkrnM34H5c6ki6T5Hnr
QkgAn3Sp6HBPwVHP7xAEgiWdTMFt14dM
=Gozp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 Dec 2010 07:32:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:26:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.